OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.SeparateStencil

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATISeparateStencil :: MonadIO m => m Bool
- gl_ATI_separate_stencil :: Bool
- gl_STENCIL_BACK_FAIL_ATI :: GLenum
- gl_STENCIL_BACK_FUNC_ATI :: GLenum
- gl_STENCIL_BACK_PASS_DEPTH_FAIL_ATI :: GLenum
- gl_STENCIL_BACK_PASS_DEPTH_PASS_ATI :: GLenum
- glStencilFuncSeparateATI :: MonadIO m => GLenum -> GLenum -> GLint -> GLuint -> m ()
- glStencilOpSeparateATI :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetATISeparateStencil :: MonadIO m => m Bool

Is the ATI_separate_stencil extension supported?

gl_ATI_separate_stencil :: Bool

Is the ATI_separate_stencil extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATISeparateStencil` in those cases instead.

# Enums

gl_STENCIL_BACK_FAIL_ATI :: GLenum

gl_STENCIL_BACK_FUNC_ATI :: GLenum

gl_STENCIL_BACK_PASS_DEPTH_FAIL_ATI :: GLenum

gl_STENCIL_BACK_PASS_DEPTH_PASS_ATI :: GLenum

# Functions

glStencilFuncSeparateATI

Arguments

:: MonadIO m |
=> GLenum | `frontfunc` of type StencilFunction.
-> GLenum | `backfunc` of type StencilFunction.
-> GLint | `ref` of type `ClampedStencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

glStencilOpSeparateATI

Arguments

:: MonadIO m |
=> GLenum | `face` of type `StencilFaceDirection`.
-> GLenum | `sfail` of type StencilOp.
-> GLenum | `dpfail` of type StencilOp.
-> GLenum | `dppass` of type StencilOp.
-> m () |

This command is an alias for `glStencilOpSeparate`.